Bug 368641 - (CVE-2007-5937) CVE-2007-5937 Multiple dviljk buffer overflows
CVE-2007-5937 Multiple dviljk buffer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.gentoo.org/show_bug.cgi?i...
source=gentoo,reported=20071106,publi...
: Reopened, Security
Depends On: 379831 379841 379851 379861 577309 577322 577323 577328 577329
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 13:00 EST by Red Hat Product Security
Modified: 2010-05-07 04:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0-40.3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 04:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-06 13:00:42 EST
Description of problem:

dviljk contains multiple buffer overflow conditions that can be triggered by a
DVI input file. This could possibly result in arbitrary code execution in case
user was tricked into print a specially crafted DVI file.

Additional info:

See URL filed for Gentoo report.
The attachment #249481 [details] fixes this bug together with bug #368611
It will most likely need some mungling as whitespace changes make the fixes less
obvious.
Comment 1 Lubomir Kundrak 2007-11-06 13:08:03 EST
The CVE identifier for this issue was requested.
Comment 4 Robert Buchholz 2007-11-07 08:59:41 EST
(In reply to comment #0)
> It will most likely need some mungling as whitespace changes make the fixes less
> obvious.

Cleaned up patch for texlive is here. Except for the autotools stuff and
ChangeLog, it should apply to tetex.
  http://bugs.gentoo.org/attachment.cgi?id=135423
Comment 7 Lubomir Kundrak 2007-11-13 08:22:20 EST
Pinged Mitre about the need for CVE.
Comment 8 Jindrich Novy 2007-11-13 09:29:00 EST
Fixed in rawhide. F8, F7, FC-6 pending.

Comment 9 Fedora Update System 2007-11-14 22:32:29 EST
tetex-3.0-44.2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'
Comment 10 Fedora Update System 2007-11-14 22:46:25 EST
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'
Comment 11 Fedora Update System 2007-11-20 13:00:52 EST
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-11-20 13:04:59 EST
tetex-3.0-44.3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Lubomir Kundrak 2007-12-05 14:31:28 EST
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.
Comment 15 Red Hat Bugzilla 2009-10-23 15:04:43 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 19 Tomas Hoger 2010-05-07 04:22:25 EDT
Statement:

Not vulnerable. This issue did not affect the versions of tetex packages as shipped with Red Hat Enterprise Linux 3, 4, or 5, as they do not provide dviljk binary.

Note You need to log in before you can comment on or make changes to this bug.